Index: /CMT/HEAD/source/cmt_commands.cxx
===================================================================
--- /CMT/HEAD/source/cmt_commands.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_commands.cxx	(revision 459)
@@ -10,4 +10,5 @@
 #include "cmt_symbol.h"
 #include "cmt_project.h"
+#include "cmt_log.h"
 
 ArgParser::ArgParser (CmtContext& context) : cmt(context), argc(0), argv(0), mode(Csh)
@@ -503,5 +504,6 @@
 	  // We have unexpected arguments (not handled by the command handler). This may sign 
 	  // an unprotected handler implementation.
-	  if (!cmt.m_quiet) cerr << "#CMT> warning : unexpected parameter " << reduced_arg << endl;
+	  CmtMessage::warning ("unexpected parameter " + reduced_arg);
+	  //	  if (!cmt.m_quiet) cerr << "#CMT> warning : unexpected parameter " << reduced_arg << endl;
 	}
       else
@@ -568,5 +570,6 @@
 	  else if (argc > 0)
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : wrong arguments" << endl;
+	      CmtMessage::error ("syntax: wrong arguments");
+//	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : wrong arguments" << endl;
 	      cmt.m_action = action_build_constituent_makefile;
 	      help_action = action_help;
@@ -574,5 +577,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : constituent name missing" << endl;
+	      CmtMessage::error ("syntax: constituent name missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : constituent name missing" << endl;
 	      cmt.m_action = action_build_constituent_makefile;
 	      help_action = action_help;
@@ -593,5 +597,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : arguments missing " << endl;
+	      CmtMessage::error ("syntax: arguments missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : arguments missing " << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_build_dependencies;
@@ -637,5 +642,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : arguments missing " << endl;
+	      CmtMessage::error ("syntax: arguments missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : arguments missing " << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_build_os9_makefile;
@@ -651,5 +657,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : arguments missing" << endl;
+	      CmtMessage::error ("syntax: arguments missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : arguments missing" << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_build_prototype;
@@ -679,5 +686,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : arguments missing" << endl;
+	      CmtMessage::error ("syntax: arguments missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : arguments missing" << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_build_triggers;
@@ -693,5 +701,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : arguments missing" << endl;
+	      CmtMessage::error ("syntax: arguments missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : arguments missing" << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_build_windefs;
@@ -700,5 +709,6 @@
       else
 	{
-	  if (!cmt.m_quiet) cerr << "#CMT> syntax error : wrong build argument" << endl;
+	  CmtMessage::error ("syntax: wrong build argument");
+	  //	  if (!cmt.m_quiet) cerr << "#CMT> syntax error : wrong build argument" << endl;
 	  help_action = action_help;
 	  cmt.m_action = action_build;
@@ -707,5 +717,6 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : don't know what to build" << endl;
+      CmtMessage::error ("syntax: don't know what to build");
+      //      if (!cmt.m_quiet) cerr << "#CMT> syntax error : don't know what to build" << endl;
       help_action = action_help;
       cmt.m_action = action_build;
@@ -738,6 +749,6 @@
 	      else
 		{
-		  if (!cmt.m_quiet) cerr << "#CMT> syntax error : reference file name missing" 
-					 << endl;
+		  CmtMessage::error ("syntax: reference file name missing");
+		  //		  if (!cmt.m_quiet) cerr << "#CMT> syntax error : reference file name missing" << endl;
 		  help_action = action_help;
 		  cmt.m_action = action_check_files;
@@ -746,5 +757,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : file name missing" << endl;
+	      CmtMessage::error ("syntax: file name missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : file name missing" << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_check_files;
@@ -760,5 +772,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : package name missing" << endl;
+	      CmtMessage::error ("syntax: package name missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : package name missing" << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_check_version;
@@ -767,5 +780,6 @@
       else
 	{
-	  if (!cmt.m_quiet) cerr << "#CMT> syntax error : bad check option" << endl;
+	  CmtMessage::error ("syntax: bad check option");
+	  //	  if (!cmt.m_quiet) cerr << "#CMT> syntax error : bad check option" << endl;
 	  help_action = action_help;
 	  cmt.m_action = action_check;
@@ -774,5 +788,6 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : don't know what to check" << endl;
+      CmtMessage::error ("syntax: don't know what to check");
+      //      if (!cmt.m_quiet) cerr << "#CMT> syntax error : don't know what to check" << endl;
       help_action = action_help;
       cmt.m_action = action_check;
@@ -792,5 +807,5 @@
       else
 	{
-	  if (!cmt.m_quiet) cerr << "#CMT> syntax error : reference file missing" << endl;
+	  CmtMessage::error ("syntax: reference file name missing");
 	  help_action = action_help;
 	  cmt.m_action = action_check_files;
@@ -799,5 +814,5 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : file name missing" << endl;
+      CmtMessage::error ("syntax: file name missing");
       help_action = action_help;
       cmt.m_action = action_check_files;
@@ -814,5 +829,6 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : checkout arguments missing" << endl;
+      CmtMessage::error ("syntax: checkout arguments missing");
+      //      if (!cmt.m_quiet) cerr << "#CMT> syntax error : checkout arguments missing" << endl;
       help_action = action_help;
       cmt.m_action = action_checkout;
@@ -839,5 +855,6 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : create arguments missing" << endl;
+      CmtMessage::error ("syntax: create arguments missing");
+      //      if (!cmt.m_quiet) cerr << "#CMT> syntax error : create arguments missing" << endl;
       help_action = action_help;
       cmt.m_action = action_create;
@@ -854,5 +871,6 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : create_project arguments missing" << endl;
+      CmtMessage::error ("syntax: create_project arguments missing");
+      //      if (!cmt.m_quiet) cerr << "#CMT> syntax error : create_project arguments missing" << endl;
       help_action = action_help;
       cmt.m_action = action_create_project;
@@ -869,5 +887,6 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : cvsbranches arguments missing" << endl;
+      CmtMessage::error ("syntax: cvsbranches arguments missing");
+      //      if (!cmt.m_quiet) cerr << "#CMT> syntax error : cvsbranches arguments missing" << endl;
       help_action = action_help;
       cmt.m_action = action_cvsbranches;
@@ -904,5 +923,5 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : package name missing" << endl;
+      CmtMessage::error ("syntax: package name missing");
       help_action = action_help;
       cmt.m_action = action_cvstags;
@@ -929,5 +948,6 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : action not specified" << endl;
+      CmtMessage::error ("syntax: action not specified");
+      //      if (!cmt.m_quiet) cerr << "#CMT> syntax error : action not specified" << endl;
       help_action = action_help;
       cmt.m_action = action_do;
@@ -951,5 +971,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : model not specified" << endl;
+	      CmtMessage::error ("syntax: model not specified");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : model not specified" << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_expand_model;
@@ -958,5 +979,6 @@
       else
 	{
-	  if (!cmt.m_quiet) cerr << "#CMT> syntax error : bad expand option" << endl;
+	  CmtMessage::error ("syntax: bad expand option");
+	  //	  if (!cmt.m_quiet) cerr << "#CMT> syntax error : bad expand option" << endl;
 	  help_action = action_help;
 	  cmt.m_action = action_expand_model;
@@ -965,5 +987,6 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : don't know what to expand" << endl;
+      CmtMessage::error ("syntax: don't know what to expand");
+      //      if (!cmt.m_quiet) cerr << "#CMT> syntax error : don't know what to expand" << endl;
       help_action = action_help;
       cmt.m_action = action_expand_model;
@@ -980,5 +1003,6 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : file to filter not specified" << endl;
+      CmtMessage::error ("syntax: file to filter not specified");
+      //      if (!cmt.m_quiet) cerr << "#CMT> syntax error : file to filter not specified" << endl;
       help_action = action_help;
       cmt.m_action = action_filter;
@@ -1017,5 +1041,6 @@
       else
 	{
-	  if (!cmt.m_quiet) cerr << "#CMT> syntax error : version missing" << endl;
+	  CmtMessage::error ("syntax: version missing");
+	  //	  if (!cmt.m_quiet) cerr << "#CMT> syntax error : version missing" << endl;
 	  help_action = action_help;
 	  cmt.m_action = action_lock;
@@ -1065,5 +1090,5 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : version missing" << endl;
+	      CmtMessage::error ("syntax: version missing");
 	      help_action = action_help;
 	      cmt.m_action = action_remove;
@@ -1073,5 +1098,6 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : don't know what to remove" << endl;
+      CmtMessage::error ("syntax: don't know what to remove");
+      //      if (!cmt.m_quiet) cerr << "#CMT> syntax error : don't know what to remove" << endl;
       help_action = action_help;
       cmt.m_action = action_remove;
@@ -1088,5 +1114,6 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : run arguments missing" << endl;
+      CmtMessage::error ("syntax: run arguments missing");
+      //      if (!cmt.m_quiet) cerr << "#CMT> syntax error : run arguments missing" << endl;
       help_action = action_help;
       cmt.m_action = action_run;
@@ -1103,5 +1130,6 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : run_sequence arguments missing" << endl;
+      CmtMessage::error ("syntax: run_sequence arguments missing");
+      //      if (!cmt.m_quiet) cerr << "#CMT> syntax error : run_sequence arguments missing" << endl;
       help_action = action_help;
       cmt.m_action = action_run_sequence;
@@ -1135,5 +1163,6 @@
       else
 	{
-	  if (!cmt.m_quiet) cerr << "#CMT> syntax error : bad set argument" << endl;
+	  CmtMessage::error ("syntax: bad set argument");
+	  //	  if (!cmt.m_quiet) cerr << "#CMT> syntax error : bad set argument" << endl;
 	  help_action = action_help;
 	  //cmt.m_action = action_set;
@@ -1142,5 +1171,6 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : don't know what to set" << endl;
+      CmtMessage::error ("syntax: don't know what to set");
+      //      if (!cmt.m_quiet) cerr << "#CMT> syntax error : don't know what to set" << endl;
       help_action = action_help;
       //cmt.m_action = action_set;
@@ -1173,5 +1203,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : action name missing" << endl;
+	      CmtMessage::error ("syntax: action name missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : action name missing" << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_show_action;
@@ -1197,5 +1228,5 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : action name missing" << endl;
+	      CmtMessage::error ("syntax: action name missing");
 	      help_action = action_help;
 	      cmt.m_action = action_show_action_value;
@@ -1246,5 +1277,5 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : package name missing" << endl;
+	      CmtMessage::error ("syntax: package name missing");
 	      help_action = action_help;
 	      cmt.m_action = action_show_clients;
@@ -1264,5 +1295,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : constituent name missing" << endl;
+	      CmtMessage::error ("syntax: constituent name missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : constituent name missing" << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_show_constituent;
@@ -1290,5 +1322,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : fragment name missing" << endl;
+	      CmtMessage::error ("syntax: fragment name missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : fragment name missing" << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_show_fragment;
@@ -1316,5 +1349,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : language name missing" << endl;
+	      CmtMessage::error ("syntax: language name missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : language name missing" << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_show_language;
@@ -1334,5 +1368,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : macro name missing" << endl;
+	      CmtMessage::error ("syntax: macro name missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : macro name missing" << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_show_macro;
@@ -1358,5 +1393,5 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : macro name missing" << endl;
+	      CmtMessage::error ("syntax: macro name missing");
 	      help_action = action_help;
 	      cmt.m_action = action_show_macro_value;
@@ -1398,5 +1433,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : pattern name missing" << endl;
+	      CmtMessage::error ("syntax: pattern name missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : pattern name missing" << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_show_pattern;
@@ -1452,5 +1488,6 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : set name missing" << endl;
+	      CmtMessage::error ("syntax: set name missing");
+	      //	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : set name missing" << endl;
 	      help_action = action_help;
 	      cmt.m_action = action_show_set_value;
@@ -1466,5 +1503,5 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : set name missing" << endl;
+	      CmtMessage::error ("syntax: set name missing");
 	      help_action = action_help;
 	      cmt.m_action = action_show_set;
@@ -1515,5 +1552,5 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : package name missing" << endl;
+	      CmtMessage::error ("syntax: package name missing");
 	      help_action = action_help;
 	      cmt.m_action = action_show_use_paths;
@@ -1545,5 +1582,5 @@
 	  else
 	    {
-	      if (!cmt.m_quiet) cerr << "#CMT> syntax error : package name missing" << endl;
+	      CmtMessage::error ("syntax: package name missing");
 	      help_action = action_help;
 	      cmt.m_action = action_show_versions;
@@ -1552,5 +1589,6 @@
       else
 	{
-	  if (!cmt.m_quiet) cerr << "#CMT> syntax error : bad show argument" << endl;
+	  CmtMessage::error ("syntax: bad show argument");
+	  //	  if (!cmt.m_quiet) cerr << "#CMT> syntax error : bad show argument" << endl;
 	  help_action = action_help;
 	  cmt.m_action = action_show;
@@ -1559,5 +1597,6 @@
   else
     {
-      if (!cmt.m_quiet) cerr << "#CMT> syntax error : don't know what to show" << endl;
+      CmtMessage::error ("syntax: don't know what to show");
+      //      if (!cmt.m_quiet) cerr << "#CMT> syntax error : don't know what to show" << endl;
       help_action = action_help;
       cmt.m_action = action_show;
@@ -1596,5 +1635,5 @@
       else
 	{
-	  if (!cmt.m_quiet) cerr << "#CMT> syntax error : version missing" << endl;
+	  CmtMessage::error ("syntax: version missing");
 	  help_action = action_help;
 	  cmt.m_action = action_unlock;
@@ -1626,4 +1665,6 @@
 {
   cmt.m_disable_warnings = true;
+  if (CmtMessage::level () <= Warning)
+    CmtMessage::set_level (Error);
 }
 
@@ -1631,4 +1672,6 @@
 {
   cmt.m_quiet = true;
+  if (CmtMessage::level () <= Error)
+    CmtMessage::set_level (Fatal);
 }
 
@@ -1637,4 +1680,6 @@
 {
   cmt.m_warnings = true;
+  if (CmtMessage::level () != Warning)
+    CmtMessage::set_level (Warning);
 }
 
@@ -1747,5 +1792,6 @@
 void ArgParser::option_e ()
 {
-  cerr << "#CMT> Warning: extra statement = " << arg << endl;
+  CmtMessage::warning ("extra statement = " + arg);
+  //  cerr << "#CMT> Warning: extra statement = " << arg << endl;
   extra_line = arg;
 }
Index: /CMT/HEAD/source/cmt_constituent.cxx
===================================================================
--- /CMT/HEAD/source/cmt_constituent.cxx	(revision 458)
+++ /CMT/HEAD/source/cmt_constituent.cxx	(revision 459)
@@ -15,4 +15,5 @@
 #include "cmt_system.h"
 #include "cmt_database.h"
+#include "cmt_log.h"
 
 /*----------------------------------------------------------*/
@@ -248,6 +249,8 @@
 	//if (!Cmt::get_quiet ())
 	//{
-	cerr << "#CMT> Warning: bad option " 
-	     << w << " in constituent " << m_constituent.name << endl;
+	CmtMessage::warning ("bad option " + w + " in constituent " +
+			     m_constituent.name);
+	//	cerr << "#CMT> Warning: bad option " 
+	//	     << w << " in constituent " << m_constituent.name << endl;
 	//CmtError::set (CmtError::execution_error, cmd);
 	//}
